package com.javacreed.examples.axon.task;

import javax.annotation.concurrent.Immutable;

import org.axonframework.commandhandling.TargetAggregateIdentifier;

import com.google.common.base.Preconditions;

@Immutable
public class AbstractTaskCommand {

  private final TaskId taskId;

  protected AbstractTaskCommand(final TaskId taskId) throws NullPointerException {
    this.taskId = Preconditions.checkNotNull(taskId);
  }

  @TargetAggregateIdentifier
  public TaskId getTaskId() {
    return taskId;
  }
}
