package com.javacreed.examples.axon.task;

import javax.annotation.concurrent.Immutable;

import com.google.common.base.Preconditions;

@Immutable
public class CompleteTaskCommand extends AbstractTaskCommand {

  public static CompleteTaskCommand of(final TaskId taskId) throws NullPointerException {
    Preconditions.checkNotNull(taskId);
    return new CompleteTaskCommand(taskId);
  }

  private CompleteTaskCommand(final TaskId taskId) throws NullPointerException {
    super(taskId);
  }
}
